<?php
/**
 * ----------------------------------------------------------
 * Copyright (c) 2005  KLIK! Klein Informatik  
 *                     www.klik-info.ch rklein@klik-info.ch
 * ----------------------------------------------------------
 *
 * KLIK! Mini-Shop
 *
 * Dieses Skript darf nicht in Projekten verwendet werden, die
 * faschistisches, rassistisches, sexistisches oder 
 * fanatisch-religioeses Gedankengut propagieren.
 *
 * @author      Roger Klein
 * @copyright   Frei einsetzbar, solange obige Vorgabe erfuellt ist
 *              und alle (c) Kommentar-Zeilen im Code bleiben
 * @version     1.0 | 2005-10-12
 */
 
require_once 'inc/warenkorb.php';
require_once 'inc/db_login.php';
require_once 'inc/form_fus.php';

session_start();

$mein_koerbli     = $_SESSION['mein_koerbli'];
$warenkorb_status = $mein_koerbli->status();
$anz_artikel      = $warenkorb_status[0];

$kategorie_id     = isset($_REQUEST['kategorie_id']) ? $_REQUEST['kategorie_id'] : 1;

$form_anzeigen    = true;
$meldung          = '';
$mailtext         = '';    
$nname            = '';
$vname            = '';
$strasse          = '';
$plz              = '';
$ort              = '';
$email            = '';
$summe            = 0;

if (isset($_POST['nname']))
{
    $nname   = filter_data($_POST['nname']);
    $vname   = filter_data($_POST['vname']);
    $strasse = filter_data($_POST['strasse']);
    $plz     = filter_data($_POST['plz']);
    $ort     = filter_data($_POST['ort']);
    $email   = filter_data($_POST['email']);
    if ($nname == '' || $strasse == '' || $plz == '' || $ort == '')
    {
        $meldung = '<font color="red">Bitte geben Sie Ihren Namen und'
                   .' Ihre Adresse ein!</font><br /><br />';
    }
    else
    {
        $mailtext = $vname . ' ' . $nname . "\n" . $strasse . "\n" 
                    . $plz . "\n" . $ort . "\n" . $email 
                    . "\n\nBestellung:\n\n";
        $form_anzeigen = false;
    }
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/2000/REC-xhtml1-20000126/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="de" lang="de">

<!--  KLIK! Mini-Shop, Roger Klein, Version 1.0 | 2005-10-12   -->
<!--  (c) KLIK! Klein Informatik, rklein[at]klik-info[dot]ch   -->
<!--  Frei einsetzbar mit diesem Hinweistext                   -->

<head>
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1" />
<title>KLIK! Mini-Shop</title>
<link rel="stylesheet" href="korb.css" type="text/css" />
</head>
<body>
<div id="titel">
<h3>KLIK! Mini-Shop</h3>
</div>
<?php
if ($anz_artikel == 0)
{
?>
<div id="aufklapp">
<span class="fett">Ihr Warenkorb ist leer!</span><br /><br />Bitte legen Sie zuerst einen Artikel in den Warenkorb.
</div>
<?php
}
// :KLUDGE: Tue nie 2x das gleiche (wie unten)
// Wenn mehr Zeit da waere, wuerde ich dies natuerlich
// entsprechend umsetzen!
else if ($form_anzeigen)
{
?>
<div id="aufklapp">
<span class="fett">Ihre Bestellung</span>
</div>
<div id="artikelliste" style="top:104">
<table width="500" border="0" cellspacing="0" cellpadding="0">
<?php
    if (count($mein_koerbli->mArrArtikel) > 0)
    {
        $ids = implode(',', array_keys($mein_koerbli->mArrArtikel));
        if (substr($ids, -1) == ',')
        {
            $ids = substr($ids, 0, -1);
        }
        $ergebnis = mysql_query('SELECT a_id, artikel, preis
                                 FROM '.$tbl_prefix.'artikel
                                 WHERE a_id IN ('.$ids.') 
                                 ORDER BY artikel');
        $i = 0;
        $summe = 0;
        $zwi_sum = 0;
        while ($datensatz = mysql_fetch_array($ergebnis, MYSQL_ASSOC))
        {
?>
<tr valign="middle"> 
    <td width="270"><?php echo $mein_koerbli->mArrArtikel[$datensatz['a_id']]['anz'] . '&nbsp;&nbsp;' . $datensatz['artikel']; ?></td>
    <td width="50" align="right">&agrave; CHF </td>
    <td width="50" align="right"><?php echo number_format($datensatz['preis'], 2, '.', '\''); ?></td>
    <td width="70" align="right">CHF </td>
    <td width="60" align="right"><?php echo number_format($datensatz['preis'] * $mein_koerbli->mArrArtikel[$datensatz['a_id']]['anz'], 2, '.', '\''); ?></td>
</tr>
<?php
            $summe += $datensatz['preis'] * 
                      $mein_koerbli->mArrArtikel[$datensatz['a_id']]['anz'];
            $i++;
        }  // end while
    }
?>
<tr>
    <td valign="bottom" height="6" colspan="5" style="border-bottom: 1px dashed black;"></td>
</tr>
<tr>
    <td valign="bottom" height="6" colspan="5"></td>
</tr>
<tr valign="middle"> 
    <td width="270" class="fett">Total:</td>
    <td width="50" align="right"></td>
    <td width="50" align="right"></td>
    <td width="70" align="right" class="fett">CHF </td>
    <td width="60" align="right" class="fett"><?php echo number_format($summe, 2, '.', '\''); ?></td>
</tr>
<tr>
    <td valign="bottom" height="6" colspan="5" style="border-bottom: 1px dashed black;"></td>
</tr>
<tr>
    <td valign="bottom" height="30" colspan="5"><br /></td>
</tr>
</table>
<form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post" name="bestell"><?php echo $meldung; ?>Vorname<br /><input type="text" name="vname" size="50" value="<?php echo htmlspecialchars($vname); ?>"><br />Name<br /><input type="text" name="nname" size="50" value="<?php echo htmlspecialchars($nname); ?>"><br />Strasse<br /><input type="text" name="strasse" size="50" value="<?php echo htmlspecialchars($strasse); ?>"><br />PLZ &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Ort<br /><input type="text" name="plz" size="9" value="<?php echo htmlspecialchars($plz); ?>"><input type="text" name="ort" size="39" value="<?php echo htmlspecialchars($ort); ?>"><br />E-Mail<br /><input type="text" name="email" size="50" value="<?php echo htmlspecialchars($email); ?>"><br /><br /><input type="submit" name="schicken" value="Bestellung abschicken">
</form>
<script type="text/javascript" language="JavaScript"><!--
function start()
{
    document.forms["bestell"].vname.select();
}
window.onload=start;
// -->
</script>
</div>
<?php
}
else
{
    if (count($mein_koerbli->mArrArtikel) > 0)
    {
        $ids = implode(',', array_keys($mein_koerbli->mArrArtikel));
        if (substr($ids, -1) == ',')
        {
            $ids = substr($ids, 0, -1);
        }
        $ergebnis = mysql_query('SELECT a_id, artikel, preis
                                 FROM '.$tbl_prefix.'artikel
                                 WHERE a_id IN ('.$ids.') 
                                 ORDER BY artikel');
        
        $zwi_sum = 0;
        $summe = 0;
        while ($datensatz = mysql_fetch_array($ergebnis, MYSQL_ASSOC))
        {
            $summe   += $datensatz['preis'] * 
                        $mein_koerbli->mArrArtikel[$datensatz['a_id']]['anz'];
            $zwi_sum  = number_format($datensatz['preis'] * 
                        $mein_koerbli->mArrArtikel[$datensatz['a_id']]['anz'],
                          2,'.', '\'');
            $mailtext.= $datensatz['artikel'] . "\n"
                        . $mein_koerbli->mArrArtikel[$datensatz['a_id']]['anz'] 
                        . ' Stueck zu CHF '
                        . 
          number_format($mein_koerbli->mArrArtikel[$datensatz['a_id']]['preis'], 2, '.', '\'') 
                        . ', Summe: CHF ' .$zwi_sum. "\n\n";
        }
        $mailtext .= 'Rechnungstotal: CHF ' 
                     . number_format($summe, 2, '.', '\'') . "\n\n";
        $extra     = "Mime-Version: 1.0\nContent-type: text/plain; charset=iso-8859-1\nContent-transfer-encoding: quoted-printable\nUser-Agent: Microsoft Outlook CWS, Build 9.0.6604 (9.0.2911.0)\nReturn-Path: " . $mail_empfaenger . "\nX-Mailer: Microsoft Outlook CWS, Build 9.0.6604 (9.0.2911.0)\n";

        if (FALSE !== @mail($mail_empfaenger,
                            'Bestellung KLIK!-Shop',
                            $mailtext,
                            $extra.'From:'.$mail_absender."\n"))
        {
            $meldung = 'Wir werden Ihnen die bestellten Artikel '
                        . 'schnellstm&ouml;glich zuschicken.<br />';
            $_SESSION["mein_koerbli"]->entleereWarenkorb();
        }
        else
        {
            $meldung .= 'Es hat ein Problem mit Ihren Bestellung gegeben.'
                        . ' Bitte versuchen Sie es nochmals<br />';
        }
    }
?>
<div id="aufklapp">
<span class="fett">Besten Dank Ihre Bestellung!</span>
</div>
<div id="artikelliste" style="top:104">
<?php echo $meldung; ?>
</div>
<?php
}
?>
<div id="warenkorb">
<div id="warenkorbinhalt" style="margin-top:8px;margin-bottom:8px">
<a href="index.php?kategorie_id=<?php echo $kategorie_id; ?>">&laquo; Zur&uuml;ck zum Shop</a>
</div>
</div>
</body>
</html>