<?php
/**
 * ----------------------------------------------------------
 * Copyright (c) 2005  KLIK! Klein Informatik  
 *                     www.klik-info.ch rklein@klik-info.ch
 * ----------------------------------------------------------
 *
 * KLIK! Mini-Shop
 *
 * Dieses Skript darf nicht in Projekten verwendet werden, die
 * faschistisches, rassistisches, sexistisches oder 
 * fanatisch-religioeses Gedankengut propagieren.
 *
 * @author		Roger Klein
 * @copyright	Frei einsetzbar, solange obige Vorgabe erfuellt ist
 *              und alle (c) Kommentar-Zeilen im Code bleiben
 * @version		1.0 | 2005-10-12
 */
 
function upload($datei, $id)
{
    $max_bildbreite        = 320;
    $max_bildhoehe         = 250;
    $zugelassene_mimetypen = array('image/pjpeg',
                                   'image/jpeg',
                                   'image/png');
    $meldung               = '';
         
    // Fehler, falls die Datei nichts enthaelt
    if ($datei['size'] == 0) 
    {
       $meldung = '<font color="red">Datei ist leer (max. '.(MAX_SIZE / 1024).' KByte)</font>';
    }
     
    // Fehler, falls die Dateigroesse die vorgegebene Maximal-
    // groesse ueberschreitet
    else if ($datei['size'] > MAX_SIZE) 
    {
       $meldung =  '<font color="red">Datei ist zu gross (max. '.(MAX_SIZE / 1024).' KByte)</font>';
    }
  
    // Fehler, falls die Datei keinem der vorgegebenen Typen
    // entspricht
    else if (!in_array($datei['type'], $zugelassene_mimetypen))
    {
        $meldung = '<font color="red">Falsches Datei-Format.</font>';
    }
        
     // die Datei wird ausgemessen; Breite und Hoehe
    // kommen in die Variablen $breite und $hoehe
    else if (GetImageSize($datei['tmp_name']) === false)
    {
        $meldung =  '<font color="red">Kein Bild!</font>';
    }
    
    // die Datei wird ausgemessen; Breite und Hoehe
    // kommen in die Variablen $breite und $hoehe   
    else
    {
       $groesse = GetImageSize($datei['tmp_name']);
       $breite = $groesse[0];
       $hoehe  = $groesse[1];
      
       // Fehler, falls die Datei zu breit oder zu hoch
       if ($breite > $max_bildbreite || $hoehe > $max_bildhoehe)
       {
           $meldung = '<font color="red">Datei ist zu breit bzw. zu hoch '
                       . '(maximal ' . $max_bildbreite . ' x '
                       . $max_bildhoehe. ' Pixel)</font>';
       }
    }
       
    if ($meldung == '') 
    {
        move_uploaded_file($datei['tmp_name'], 
                           PFAD . 'g_foto' . $id . '.' 
                           . substr($datei['name'], -3));
    }
    return $meldung;
}